Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class Goal

    java.lang.Object
      com.ibm.able.examples.rules.Goal

All Implemented Interfaces:
  java.io.Serializable

public class Goal
extends java.lang.Object
implements java.io.Serializable

Goal (goal-is-to) in monkeys-and-bananas world

See Also:
  Serialized Form

Constructor Summary
`Goal()`
`Goal(java.lang.String action, java.lang.String argument1)`
`Goal(java.lang.String action, java.lang.String argument1, java.lang.String argument2)`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getArgument1()`
`java.lang.String` | `getArgument2()`
`void` | `setAction(java.lang.String action)`
`void` | `setArgument1(java.lang.String argument1)`
`void` | `setArgument2(java.lang.String argument2)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Goal

    public Goal()

### Goal

    public Goal(java.lang.String action,
                java.lang.String argument1)

### Goal

    public Goal(java.lang.String action,
                java.lang.String argument1,
                java.lang.String argument2)

Method Detail

### getAction

    public java.lang.String getAction()

### setAction

    public void setAction(java.lang.String action)

### getArgument1

    public java.lang.String getArgument1()

### setArgument1

    public void setArgument1(java.lang.String argument1)

### getArgument2

    public java.lang.String getArgument2()

### setArgument2

    public void setArgument2(java.lang.String argument2)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005